<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Enumerations  Reference</title>
    <link rel="stylesheet" type="text/css" href="css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="css/highlight.css" />
    <meta charset='utf-8'>
    <script src="js/jquery.min.js" defer></script>
    <script src="js/jazzy.js" defer></script>
    
    <script src="js/lunr.min.js" defer></script>
    <script src="js/typeahead.jquery.js" defer></script>
    <script src="js/jazzy.search.js" defer></script>
  </head>
  <body>
    <a name="//apple_ref/swift/Section/Enumerations" class="dashAnchor"></a>
    <a title="Enumerations  Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="index.html">madme_ios_sdk 6.2.1 Docs</a></p>
        <div class="header-right">
          <form role="search" action="search.json">
            <input type="text" placeholder="Search documentation" data-typeahead>
          </form>
        </div>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="index.html">madme_ios_sdk Reference</a>
        <img id="carat" src="img/carat.png" alt=""/>
        Enumerations  Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Classes/AES.html">AES</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/AES/Error.html">– Error</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/AES/Variant.html">– Variant</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/AES/Encryptor.html">– Encryptor</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMAdPresentationError.html">MMAdPresentationError</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMCampaign.html">MMCampaign</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMError.html">MMError</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMGenericUserAccountStatusChangeContext.html">MMGenericUserAccountStatusChangeContext</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMHomeScreenOption.html">MMHomeScreenOption</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMNotificationProcessingError.html">MMNotificationProcessingError</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMPrivateInitObject.html">MMPrivateInitObject</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMSdk.html">MMSdk</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMUrlProcessingError.html">MMUrlProcessingError</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes/MMUrlSessionEventsProcessingError.html">MMUrlSessionEventsProcessingError</a>
              </li>
              <li class="nav-group-task">
                <a href="Classes.html#/c:@M@madme_ios_sdk@objc(cs)MMViewedNoSurveyNoRatingCampaignContext">MMViewedNoSurveyNoRatingCampaignContext</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Enums.html">Enumerations</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Enums/BlockMode.html">BlockMode</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/CipherError.html">CipherError</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/MMAdPresentationMode.html">MMAdPresentationMode</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/MMAdPresentationResultState.html">MMAdPresentationResultState</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/MMAggregateQualifier.html">MMAggregateQualifier</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/MMHomeScreenOptionType.html">MMHomeScreenOptionType</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/MMNotificationProcessingResultState.html">MMNotificationProcessingResultState</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/MMUrlProcessingResultState.html">MMUrlProcessingResultState</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/MMUrlSessionEventsProcessingResultState.html">MMUrlSessionEventsProcessingResultState</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/MMUserAccountStatus.html">MMUserAccountStatus</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums.html#/PKCS7">PKCS7</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/Padding.html">Padding</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Extensions.html">Extensions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Extensions/Array.html">Array</a>
              </li>
              <li class="nav-group-task">
                <a href="Extensions.html#/MMCarouselCollectionViewController">MMCarouselCollectionViewController</a>
              </li>
              <li class="nav-group-task">
                <a href="Extensions.html#/MMGeoFencingCampaignDetailsViewController">MMGeoFencingCampaignDetailsViewController</a>
              </li>
              <li class="nav-group-task">
                <a href="Extensions.html#/MMPlist">MMPlist</a>
              </li>
              <li class="nav-group-task">
                <a href="Extensions/NSNotification.html">NSNotification</a>
              </li>
              <li class="nav-group-task">
                <a href="Extensions/Notification.html">Notification</a>
              </li>
              <li class="nav-group-task">
                <a href="Extensions/Notification/Name.html">– Name</a>
              </li>
              <li class="nav-group-task">
                <a href="Extensions.html#/SecureBytes">SecureBytes</a>
              </li>
              <li class="nav-group-task">
                <a href="Extensions.html#/UIControl">UIControl</a>
              </li>
              <li class="nav-group-task">
                <a href="Extensions/UINavigationController.html">UINavigationController</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Protocols/Cipher.html">Cipher</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/Cryptors.html">Cryptors</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/MMAdPresentationResultProtocol.html">MMAdPresentationResultProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:@M@madme_ios_sdk@objc(pl)MMCampaignContextProtocol">MMCampaignContextProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:@M@madme_ios_sdk@objc(pl)MMCampaignContextProviderProtocol">MMCampaignContextProviderProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/MMClientIdentityProviderProtocol.html">MMClientIdentityProviderProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/MMNotificationProcessingResultProtocol.html">MMNotificationProcessingResultProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols.html#/c:@M@madme_ios_sdk@objc(pl)MMSdkDelegateProtocol">MMSdkDelegateProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/MMUrlProcessingResultProtocol.html">MMUrlProcessingResultProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/MMUrlSessionEventsProcessingResultProtocol.html">MMUrlSessionEventsProcessingResultProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/MMUserAccountStatusChangeContextProtocol.html">MMUserAccountStatusChangeContextProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/MMUserAccountStatusDelegateProtocol.html">MMUserAccountStatusDelegateProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/PaddingProtocol.html">PaddingProtocol</a>
              </li>
              <li class="nav-group-task">
                <a href="Protocols/Updatable.html">Updatable</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Structs.html">Structures</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Structs/Digest.html">Digest</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Typealiases.html">Type Aliases</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Typealiases.html#/s:13madme_ios_sdk12MMIdentifiera">MMIdentifier</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>Enumerations</h1>
            <p>The following enumerations are available globally.</p>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <div class="task-name-container">
                <a name="/MMNotificationListCampaignDetailsViewController"></a>
                <a name="//apple_ref/swift/Section/MMNotificationListCampaignDetailsViewController" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/MMNotificationListCampaignDetailsViewController"></a>
                  <h3 class="section-name"><span>MMNotificationListCampaignDetailsViewController</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@E@MMUserAccountStatus"></a>
                    <a name="//apple_ref/swift/Enum/MMUserAccountStatus" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@E@MMUserAccountStatus">MMUserAccountStatus</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Possible states of mAdme user accounts.</p>

                        <a href="Enums/MMUserAccountStatus.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">enum</span> <span class="kt">MMUserAccountStatus</span> <span class="p">:</span> <span class="kt">Int</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/MMHomeScreenOptionType"></a>
                <a name="//apple_ref/swift/Section/MMHomeScreenOptionType" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/MMHomeScreenOptionType"></a>
                  <h3 class="section-name"><span>MMHomeScreenOptionType</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/"></a>
                    <a name="//apple_ref/swift/Enum/MMHomeScreenOptionType" class="dashAnchor"></a>
                    <a class="token" href="#/">MMHomeScreenOptionType</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Defines the possible types of home screen view controller options.</p>

                        <a href="Enums/MMHomeScreenOptionType.html" class="slightly-smaller">See more</a>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/MMAggregateQualifier"></a>
                <a name="//apple_ref/swift/Section/MMAggregateQualifier" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/MMAggregateQualifier"></a>
                  <h3 class="section-name"><span>MMAggregateQualifier</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@E@MMAggregateQualifier"></a>
                    <a name="//apple_ref/swift/Enum/MMAggregateQualifier" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@E@MMAggregateQualifier">MMAggregateQualifier</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Aggregate qualifiers: Either any or all. For example, qualifiers may be used to select mAdme ads whose tags match any or all tags in a given array.</p>

                        <a href="Enums/MMAggregateQualifier.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">enum</span> <span class="kt">MMAggregateQualifier</span> <span class="p">:</span> <span class="kt">Int</span></code></pre>
<pre class="highlight swift"><code><span class="kd">extension</span> <span class="kt">MMAggregateQualifier</span><span class="p">:</span> <span class="kt">CustomStringConvertible</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/Cipher"></a>
                <a name="//apple_ref/swift/Section/Cipher" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/Cipher"></a>
                  <h3 class="section-name"><span>Cipher</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/"></a>
                    <a name="//apple_ref/swift/Enum/CipherError" class="dashAnchor"></a>
                    <a class="token" href="#/">CipherError</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        
                        <a href="Enums/CipherError.html" class="slightly-smaller">See more</a>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/Encryptor"></a>
                <a name="//apple_ref/swift/Section/Encryptor" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/Encryptor"></a>
                  <h3 class="section-name"><span>Encryptor</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/"></a>
                    <a name="//apple_ref/swift/Enum/BlockMode" class="dashAnchor"></a>
                    <a class="token" href="#/">BlockMode</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        
                        <a href="Enums/BlockMode.html" class="slightly-smaller">See more</a>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/"></a>
                    <a name="//apple_ref/swift/Enum/PKCS7" class="dashAnchor"></a>
                    <a class="token" href="#/">PKCS7</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/"></a>
                    <a name="//apple_ref/swift/Enum/Padding" class="dashAnchor"></a>
                    <a class="token" href="#/">Padding</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        
                        <a href="Enums/Padding.html" class="slightly-smaller">See more</a>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/MMAdPresentationResultState"></a>
                <a name="//apple_ref/swift/Section/MMAdPresentationResultState" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/MMAdPresentationResultState"></a>
                  <h3 class="section-name"><span>MMAdPresentationResultState</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@E@MMAdPresentationResultState"></a>
                    <a name="//apple_ref/swift/Enum/MMAdPresentationResultState" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@E@MMAdPresentationResultState">MMAdPresentationResultState</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Possible states of mAdme ad-presentation results.</p>

                        <a href="Enums/MMAdPresentationResultState.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">enum</span> <span class="kt">MMAdPresentationResultState</span> <span class="p">:</span> <span class="kt">Int</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/MMAdPresentationResult%3A%20MMPrivateInitObject%2C%20MMAdPresentationResultProtocol"></a>
                <a name="//apple_ref/swift/Section/MMAdPresentationResult: MMPrivateInitObject, MMAdPresentationResultProtocol" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/MMAdPresentationResult%3A%20MMPrivateInitObject%2C%20MMAdPresentationResultProtocol"></a>
                  <h3 class="section-name"><span>MMAdPresentationResult: MMPrivateInitObject, MMAdPresentationResultProtocol</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@E@MMAdPresentationMode"></a>
                    <a name="//apple_ref/swift/Enum/MMAdPresentationMode" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@E@MMAdPresentationMode">MMAdPresentationMode</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Defines the presentation context.</p>

                        <a href="Enums/MMAdPresentationMode.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">enum</span> <span class="kt">MMAdPresentationMode</span> <span class="p">:</span> <span class="kt">Int</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/MMUrlSessionEventsProcessingResultState"></a>
                <a name="//apple_ref/swift/Section/MMUrlSessionEventsProcessingResultState" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/MMUrlSessionEventsProcessingResultState"></a>
                  <h3 class="section-name"><span>MMUrlSessionEventsProcessingResultState</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@E@MMUrlSessionEventsProcessingResultState"></a>
                    <a name="//apple_ref/swift/Enum/MMUrlSessionEventsProcessingResultState" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@E@MMUrlSessionEventsProcessingResultState">MMUrlSessionEventsProcessingResultState</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Possible states of mAdme url-session event processing results.</p>

                        <a href="Enums/MMUrlSessionEventsProcessingResultState.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">enum</span> <span class="kt">MMUrlSessionEventsProcessingResultState</span> <span class="p">:</span> <span class="kt">Int</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/MMUrlProcessingResultState"></a>
                <a name="//apple_ref/swift/Section/MMUrlProcessingResultState" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/MMUrlProcessingResultState"></a>
                  <h3 class="section-name"><span>MMUrlProcessingResultState</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@E@MMUrlProcessingResultState"></a>
                    <a name="//apple_ref/swift/Enum/MMUrlProcessingResultState" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@E@MMUrlProcessingResultState">MMUrlProcessingResultState</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Possible states of mAdme url processing results.</p>

                        <a href="Enums/MMUrlProcessingResultState.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">enum</span> <span class="kt">MMUrlProcessingResultState</span> <span class="p">:</span> <span class="kt">Int</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/MMNotificationProcessingResultState"></a>
                <a name="//apple_ref/swift/Section/MMNotificationProcessingResultState" class="dashAnchor"></a>
                <div class="section-name-container">
                  <a class="section-name-link" href="#/MMNotificationProcessingResultState"></a>
                  <h3 class="section-name"><span>MMNotificationProcessingResultState</span>
</h3>
                </div>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/c:@M@madme_ios_sdk@E@MMNotificationProcessingResultState"></a>
                    <a name="//apple_ref/swift/Enum/MMNotificationProcessingResultState" class="dashAnchor"></a>
                    <a class="token" href="#/c:@M@madme_ios_sdk@E@MMNotificationProcessingResultState">MMNotificationProcessingResultState</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Possible states of mAdme notification processing results.</p>

                        <a href="Enums/MMNotificationProcessingResultState.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">@objc</span>
<span class="kd">public</span> <span class="kd">enum</span> <span class="kt">MMNotificationProcessingResultState</span> <span class="p">:</span> <span class="kt">Int</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>&copy; 2022 <a class="link" href="http://www.mad-me.com" target="_blank" rel="external noopener">mAdme</a>. All rights reserved. (Last updated: 2022-07-05)</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external noopener">jazzy ♪♫ v0.14.2</a>, a <a class="link" href="https://realm.io" target="_blank" rel="external noopener">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</html>
